Get specific Test Plan result
GET
/testplans/{id}/getMyProgressGet results of specific test plan for logged in user
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlansApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlansApi(config);
const result = await api.getMyProgress({ "id": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testplans/123/getMyProgress?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test Plan ID |
regression |
query | number | No | Test Plan regression ID |
Response
Section titled “Response”200 — Test Plan Result
| Field | Type | Required | Description |
|---|---|---|---|
unexecuted |
number | Yes | — |
passed |
number | Yes | — |
failed |
number | Yes | — |
skipped |
number | Yes | — |
blocked |
number | Yes | — |
{ "unexecuted": 123, "passed": 123, "failed": 123, "skipped": 123, "blocked": 123}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |